c==============================GETFU.FOR================================
c  
C   GETFU:      GIVEN IND THE FUNDAMENTAL UNIT POWERS ARE RETRIEVED FROM 
C               TFU.
C   VP:         RESULT
C   TFUP:       TABLE OF FUND. POWERS                          /DEE 1-89
                                     
      SUBROUTINE GETFU(VP, IND, POWER, TFUP)
      INTEGER VP(8), IND, TFUP(120,8), POWER

      DO 10, J=1,8
      VP(J)=TFUP(IND,J)*POWER
 10   CONTINUE
      RETURN
      END
